WordPress.org

Support

Support » Plugins and Hacks » Jetpack by WordPress.com » Jetpack Publicize Error code: -32301

Jetpack Publicize Error code: -32301

  • Hi. I decided to set up Jetpack’s Publicize module for my Facebook and Twitter accounts, but whenever I click on either of those buttons, I get this message at the top of the screen:

    Something which should never happen, happened. Sorry about that. If you try again, maybe it will work.

    Error code: -32301

    I could really use some help resolving this issue. My blog is here:

    http://dappledthings.me

    Thanks. 🙂

    http://wordpress.org/plugins/jetpack/

Viewing 6 replies - 1 through 6 (of 6 total)
  • Plugin Author Jeremy Herve

    @jeherve

    Jetpack and other services use a file named xmlrpc.php to communicate with your site. Unfortunately, that file doesn’t seem to be publicly accessible on your site:
    http://dappledthings.me/xmlrpc.php

    If you use a security plugin that may block access to the file, you will need to configure the plugin to allow XML-RPC access.

    If you do not use such plugin, I would recommend that you contact your hosting provider and ask them if they currently block access to your site’s XML-RPC file.

    Let me know if it helps.

    Jeremy,

    Thanks for your response. I noticed you responded to a similar post earlier, but the error code was a little different. Can you tell me what the drawbacks would be to allowing XML-RPC access? Before I do anything, I would like to know if it would represent a security threat, etc. Thanks again!

    Plugin Contributor Richard Archambault

    @richardmtl

    Happiness Engineer

    Hi Gail,

    The xmlrpc file did have vulnerabilities in the past (fixed long ago), as you can read about on this very old post:

    http://digwp.com/2009/06/xmlrpc-php-security/

    I am not aware of any current vulnerabilities in the file. As Jeremy said, if you want to use Jetpack, access to that file abosultely needs to be available.

    Adding the allows fixed this for me

    <FilesMatch “^(xmlrpc\.php)”>
    Order Deny,Allow
    Deny from all
    #Allow from x.x.x.
    Allow from wordpress.com
    Allow from wordpress.org
    Allow from facebook.com
    </FilesMatch>

    Hi hawkeye126

    I am having the same problem, trying to connect Jetpack to LinkedIn. The error code I’m getting is -32300

    I had already established a successful connection to LinkedIn a long time ago, but today WordPress told me there were problems. So I disconnected Jetpack from LinkedIn and tried to reconnect again, unsuccessfully.

    I am a newbie when it comes to code. Where (i.e. on which pages or security plugins) did you add the allows?

    I am using iThemes Security, Wordfence and Bulletproof Security plugins.

    Thanks,

    http://2adventurers.com

    Plugin Contributor Richard Archambault

    @richardmtl

    Happiness Engineer

    hawkeye126: interesting! does that allow from subdomains as well (like, jetpack.wordpress.com, for example)?

    donmanolin: Could you please start your own thread, as per the Forum Welcome?

    http://wordpress.org/support/plugin/jetpack#postform

    Thank you!

Viewing 6 replies - 1 through 6 (of 6 total)
  • The topic ‘Jetpack Publicize Error code: -32301’ is closed to new replies.
Skip to toolbar